Freeciv-3.3: tab_achievement Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
tab_achievement Class Reference

`#include <tab_achievement.h>`

Inheritance diagram for tab_achievement:

## Public Member Functions

| tab_achievement (ruledit_gui *ui_in)
void | refresh ()

## Private Slots

void | name_given ()
void | select_achievement ()
void | add_now ()
void | delete_now ()
void | same_name_toggle (bool checked)
void | edit_effects ()

## Private Member Functions

void | update_achievement_info (struct achievement *pach)
bool | initialize_new_achievement (struct achievement *pach)

## Private Attributes

ruledit_gui * | ui
QLineEdit * | name
QLineEdit * | rname
QListWidget * | ach_list
QCheckBox * | same_name
struct achievement * | selected

## Detailed Description

Definition at line 30 of file tab_achievement.h.

## Constructor & Destructor Documentation

## ◆ tab_achievement()

tab_achievement::tab_achievement | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_achievement object

Definition at line 46 of file tab_achievement.cpp.

## Member Function Documentation

## ◆ add_now

void tab_achievement::add_now | ( |  | ) |

privateslot

User requested new achievement

Definition at line 236 of file tab_achievement.cpp.

Referenced by tab_achievement().

## ◆ delete_now

void tab_achievement::delete_now | ( |  | ) |

privateslot

User requested achievement deletion

Definition at line 201 of file tab_achievement.cpp.

Referenced by tab_achievement().

## ◆ edit_effects

void tab_achievement::edit_effects | ( |  | ) |

privateslot

User wants to edit effects

Definition at line 284 of file tab_achievement.cpp.

Referenced by tab_achievement().

## ◆ initialize_new_achievement()

bool tab_achievement::initialize_new_achievement | ( | struct achievement * | pach | ) |

private

Initialize new achievement for use.

Definition at line 222 of file tab_achievement.cpp.

Referenced by add_now().

## ◆ name_given

void tab_achievement::name_given | ( |  | ) |

privateslot

User entered name for the achievement

Definition at line 169 of file tab_achievement.cpp.

Referenced by tab_achievement().

## ◆ refresh()

void tab_achievement::refresh | ( |  | ) |

Refresh the information.

Definition at line 111 of file tab_achievement.cpp.

Referenced by add_now(), delete_now(), ruledit_gui::launch_now(), name_given(), and tab_achievement().

## ◆ same_name_toggle

void tab_achievement::same_name_toggle | ( | bool | checked | ) |

privateslot

Toggled whether rule_name and name should be kept identical

Definition at line 273 of file tab_achievement.cpp.

Referenced by tab_achievement().

## ◆ select_achievement

void tab_achievement::select_achievement | ( |  | ) |

privateslot

User selected achievement from the list.

Definition at line 154 of file tab_achievement.cpp.

Referenced by tab_achievement().

## ◆ update_achievement_info()

void tab_achievement::update_achievement_info | ( | struct achievement * | pach | ) |

private

Update info of the achievement

Definition at line 126 of file tab_achievement.cpp.

Referenced by add_now(), delete_now(), select_achievement(), and tab_achievement().

## Field Documentation

## ◆ ach_list

QListWidget* tab_achievement::ach_list

private

Definition at line 45 of file tab_achievement.h.

Referenced by refresh(), select_achievement(), and tab_achievement().

## ◆ name

QLineEdit* tab_achievement::name

private

Definition at line 43 of file tab_achievement.h.

Referenced by name_given(), same_name_toggle(), tab_achievement(), and update_achievement_info().

## ◆ rname

QLineEdit* tab_achievement::rname

private

Definition at line 44 of file tab_achievement.h.

Referenced by name_given(), same_name_toggle(), tab_achievement(), and update_achievement_info().

## ◆ same_name

QCheckBox* tab_achievement::same_name

private

Definition at line 46 of file tab_achievement.h.

Referenced by name_given(), tab_achievement(), and update_achievement_info().

## ◆ selected

struct achievement* tab_achievement::selected

private

Definition at line 48 of file tab_achievement.h.

Referenced by delete_now(), edit_effects(), name_given(), tab_achievement(), and update_achievement_info().

## ◆ ui

ruledit_gui* tab_achievement::ui

private

Definition at line 39 of file tab_achievement.h.

Referenced by delete_now(), edit_effects(), name_given(), and tab_achievement().